Package org.apache.struts2.dispatcher

# Class DefaultActionSupport

java.lang.Object
org.apache.struts2.ActionSupport
org.apache.struts2.dispatcher.DefaultActionSupport

All Implemented Interfaces:
  `Serializable`, `Action`, `ValidationAware`, `LocaleProvider`, `TextProvider`, `Validateable`

public class DefaultActionSupport extends ActionSupport
A simple action support class that sets properties to be able to serve

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class org.apache.struts2.ActionSupport

  `container`

  ### Fields inherited from interface org.apache.struts2.action.Action

  `ERROR, INPUT, LOGIN, NONE, SUCCESS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultActionSupport()`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `execute()`
  A default implementation that does nothing an returns "success".
  `String`
  `getSuccessResultValue()`
  `void`
  `setSuccessResultValue(String successResultValue)`

  ### Methods inherited from class org.apache.struts2.ActionSupport

  `addActionError, addActionMessage, addFieldError, clearActionErrors, clearErrors, clearErrorsAndMessages, clearFieldErrors, clearMessages, clone, getActionErrors, getActionMessages, getContainer, getFieldErrors, getFormatted, getLocale, getLocaleProvider, getText, getText, getText, getText, getText, getText, getText, getText, getText, getTextProvider, getTexts, getTexts, hasActionErrors, hasActionMessages, hasErrors, hasFieldErrors, hasKey, input, isValidLocale, isValidLocaleString, pause, setActionErrors, setActionMessages, setContainer, setFieldErrors, toLocale, validate`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DefaultActionSupport

    public DefaultActionSupport()
    Constructor

- ## Method Details

  - ### execute

    public String execute() throws Exception
    Description copied from class: `ActionSupport`
    A default implementation that does nothing an returns "success".

    Subclasses should override this method to provide their business logic.

    See also `Action.execute()`.

    Specified by:
      `execute` in interface `Action`
    Overrides:
      `execute` in class `ActionSupport`
    Returns:
      returns `Action.SUCCESS`
    Throws:
      `Exception` - can be thrown by subclasses.

  - ### getSuccessResultValue

    public String getSuccessResultValue()
    Returns:
      Returns the successResultValue.

  - ### setSuccessResultValue

    public void setSuccessResultValue(String successResultValue)
    Parameters:
      `successResultValue` - The successResultValue to set.